Respond to Review

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

R2R Error Responses

Errors will be returned in the body of the response in JSON with the format:

{
    "error": {
        "id" : "<ERROR_CODE_ID>",
        "description": "<Human readable description.>",
        "http_code": "<http_code>"
    }
}

General Error Responses

iddescriptionhttp_code
INVALID_TOKENThe access token provided is expired, revoked, malformed, or invalid for other reasons.HTTPUnauthorized (401)
INVALID_REQUESTMissing a required parameter or includes an unsupported parameter.HTTPBadRequest (400)
INSUFFICIENT_SCOPEThe request requires higher privileges than provided by the access token.HTTPBadRequest (400)
R2R_COMMENTS_NOT_ALLOWEDThis location does not include the respond-to-reviews feature. Contact your Yelp sales exec to enable.HTTPBadRequest (400)

Public R2R Error Responses

iddescriptionhttp_code
R2R_PROBLEM_WITH_USER_PHOTOPhoto is missing, unacceptable, or pending. (A business owner needs to upload their own photo on biz.yelp.com - a valid photo is required in order to use R2R API.)HTTPBadRequest (400)
R2R_UNACCEPTABLE_BIZ_USER_NAMEUnacceptable biz user name.HTTPBadRequest (400)
R2R_REVIEW_DOES_NOT_EXISTReview does not exist.HTTPBadRequest (400)
R2R_INVALID_RESPONSE_TYPEInvalid response type.HTTPBadRequest (400)
R2R_INVALID_RESPONSE_TEXTInvalid response text. (This error happens if the response is empty or exceeds 5K characters or has foul language or is too similar to a comment that's already been posted.)HTTPBadRequest (400)
R2R_PUBLIC_COMMENTS_DISABLEDInvalid response type.HTTPBadRequest (400)
R2R_BUSINESS_NOT_CLAIMEDCannot determine the status of your business.HTTPBadRequest (400)
R2R_PERMISSION_DENIEDYou do not have permission to comment on that review.HTTPBadRequest (400)
R2R_COMMENT_QUOTA_EXCEEDEDYou have made too many comments recently. (There is a maximum of 20 comments for each location per biz owner per day).HTTPBadRequest (400)

📘

This endpoint is part of the Respond to Reviews API, visit Respond to Reviews API to learn more.

Path Params
string
required

22-character unique ID of a review. Review IDs are usually obtained from the Yelp Fusion Review endpoints, GraphQL API, or a Yelp Partner Feed.

Body Params
string

Response text (only UTF-8 characters, no emojis)

string

Response type - only possible value is "public_comment"

Headers
string

String with the format of Bearer <access_token>

string

application/json

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json